Bug 1437761 - Failed to register a system and auto attach subscription from GUI
Summary: Failed to register a system and auto attach subscription from GUI
Keywords:
Status: CLOSED DUPLICATE of bug 1438561
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Kevin Howell
QA Contact: Jan Stavel
URL:
Whiteboard:
Depends On:
Blocks: 1438139
TreeView+ depends on / blocked
 
Reported: 2017-03-31 06:13 UTC by Wei Liu
Modified: 2017-04-17 17:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-17 17:45:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
the rhsm log (22.96 KB, text/plain)
2017-03-31 06:14 UTC, Wei Liu
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1438561 high CLOSED DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus) 2020-10-14 00:28:05 UTC

Internal Links: 1438561

Description Wei Liu 2017-03-31 06:13:03 UTC
Description of problem:
Fail to register a system to stage from gui.Input account and password,click "Register" button,then the subscription-manager gui will be closed.
If first register the system by CLI successfully,then open the subscription-manager gui and click the "Auto-attach" button ,the subscription-manager gui will be closed again

Version-Release number of selected component (if applicable):
[root@ibm-x3250m4-16 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.21-1
subscription management rules: 5.15.1
subscription-manager: 1.19.4-1.el7
python-rhsm: 1.19.2-1.el7


How reproducible:
always

Steps to Reproduce:
1.Install build RHEL-7.4-20170330.1
2.Open subscription-manager gui and click "Register" button to register the system
3.Input valid account and password,then click "Register" button.The subscription-manager gui closed.
4.Try to register the system by CLI
[root@ibm-x3250m4-16 ~]# subscription-manager register
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
Username: new_test
Password: 
The system has been registered with ID: f7fd3ef8-dcf3-4a60-8e5e-363d46d36ec7
5.Open the subscription-manager gui again,and click "Auto-attach" button to attach subscription.The subscription-manager gui closed again.

Actual results:
The subscription-manager gui will closed after click "Register" button or "Auto-attach" button

Expected results:
Register system and Auto attach successfully by GUI


Additional info:

Comment 2 Wei Liu 2017-03-31 06:14:01 UTC
Created attachment 1267747 [details]
the rhsm log

Comment 3 Wei Liu 2017-04-01 05:31:18 UTC
Today I install build RHEL-7.4-20170330.1 in my local machine,but can not reproduce this issue.The system can register and auto attach successfully from GUI,so close this issue.

Comment 4 Rehana 2017-04-04 16:25:55 UTC
I was able to reproduce this failure with the same build  RHEL-7.4-20170330.1 Server variant today.

I see a crash report being created in the machine when the GUI was closed. 

rhsm.log (in Debug mode) 

2017-04-04 21:48:03,201 [DEBUG] subscription-manager-gui:18923:MainThread @https.py:54 - Using standard libs to provide httplib and ssl
2017-04-04 21:48:03,293 [DEBUG] subscription-manager-gui:18923:MainThread @dbus_interface.py:35 - self.has_main_loop=True
2017-04-04 21:48:03,318 [DEBUG] subscription-manager-gui:18923:MainThread @ga_loader.py:89 - ga_loader GaImporterGtk3
2017-04-04 21:48:03,388 [DEBUG] rhsmd:18929:MainThread @https.py:54 - Using standard libs to provide httplib and ssl
2017-04-04 21:48:03,480 [DEBUG] subscription-manager-gui:18923:MainThread @identity.py:132 - Loading consumer info from identity certificates.
2017-04-04 21:48:03,480 [DEBUG] subscription-manager-gui:18923:MainThread @identity.py:147 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2017-04-04 21:48:03,481 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:243 - ContentConnection
2017-04-04 21:48:03,485 [INFO] rhsmd:18929:MainThread @rhsmd:263 - rhsmd started
2017-04-04 21:48:03,486 [DEBUG] subscription-manager-gui:18923:MainThread @certdirectory.py:217 - Installed product IDs: ['69']
2017-04-04 21:48:03,486 [DEBUG] subscription-manager-gui:18923:MainThread @cert_sorter.py:126 - Unregistered, skipping server compliance check.
2017-04-04 21:48:03,486 [DEBUG] subscription-manager-gui:18923:MainThread @identity.py:132 - Loading consumer info from identity certificates.
2017-04-04 21:48:03,486 [DEBUG] subscription-manager-gui:18923:MainThread @identity.py:147 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2017-04-04 21:48:03,487 [DEBUG] subscription-manager-gui:18923:MainThread @managergui.py:195 - Client Versions: {'python-rhsm': '1.19.2-1.el7', 'subscription-manager': '1.19.4-1.el7'} 
2017-04-04 21:48:03,487 [INFO] subscription-manager-gui:18923:MainThread @connection.py:763 - Connection built: host=subscription.rhsm.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ insecure=False
2017-04-04 21:48:03,494 [DEBUG] subscription-manager-gui:18923:MainThread @plugins.py:569 - loaded plugin modules: []
2017-04-04 21:48:03,494 [DEBUG] subscription-manager-gui:18923:MainThread @plugins.py:570 - loaded plugins: {}
2017-04-04 21:48:03,735 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:429 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
2017-04-04 21:48:03,735 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:473 - Making request: GET /subscription/
2017-04-04 21:48:03,738 [DEBUG] rhsmd:18929:MainThread @rhsmd:217 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.update_status called with status = 0
2017-04-04 21:48:03,847 [DEBUG] rhsmd:18929:MainThread @identity.py:132 - Loading consumer info from identity certificates.
2017-04-04 21:48:03,847 [DEBUG] rhsmd:18929:MainThread @identity.py:147 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2017-04-04 21:48:03,850 [DEBUG] rhsmd:18929:MainThread @certdirectory.py:217 - Installed product IDs: ['69']
2017-04-04 21:48:03,851 [DEBUG] rhsmd:18929:MainThread @cert_sorter.py:126 - Unregistered, skipping server compliance check.
2017-04-04 21:48:03,851 [DEBUG] rhsmd:18929:MainThread @identity.py:132 - Loading consumer info from identity certificates.
2017-04-04 21:48:03,851 [DEBUG] rhsmd:18929:MainThread @identity.py:147 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2017-04-04 21:48:03,871 [DEBUG] rhsmd:18929:MainThread @cache.py:113 - Wrote cache: /var/lib/rhsm/cache/rhsm_icon.json
2017-04-04 21:48:04,985 [INFO] subscription-manager-gui:18923:MainThread @connection.py:509 - Response: status=200, request="GET /subscription/"
2017-04-04 21:48:04,986 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:780 - Server supports the following resources: {u'': u'/', u'guestids': u'/consumers/{consumer_uuid}/guestids', u'cdn': u'/cdn', u'content_overrides': u'/consumers/{consumer_uuid}/content_overrides', u'hypervisors': u'/hypervisors', u'serials': u'/serials', u'deleted_consumers': u'/deleted_consumers', u'consumers': u'/consumers', u'migrations': u'/migrations', u'content': u'/content', u'entitlements': u'/entitlements', u'events': u'/events', u'status': u'/status', u'jobs': u'/jobs', u'users': u'/users', u'subscriptions': u'/subscriptions', u'rules': u'/rules', u'distributor_versions': u'/distributor_versions', u'consumertypes': u'/consumertypes', u'statistics/generate': u'/statistics/generate', u'pools': u'/pools', u'atom': u'/atom', u'packages': u'/consumers/{consumer_uuid}/packages', u'owners': u'/owners', u'roles': u'/roles', u'admin': u'/admin', u'products': u'/products', u'activation_keys': u'/activation_keys', u'crl': u'/crl'}
2017-04-04 21:48:04,986 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:429 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
2017-04-04 21:48:04,986 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:473 - Making request: GET /subscription/status
2017-04-04 21:48:06,448 [INFO] subscription-manager-gui:18923:MainThread @connection.py:509 - Response: status=200, requestUuid=7797e334-41e8-4604-a651-0444228cddb7, request="GET /subscription/status"
2017-04-04 21:48:06,449 [DEBUG] subscription-manager-gui:18923:MainThread @managergui.py:165 - Server Versions: {'rules-version': u'5.15.1', 'candlepin': u'0.9.51.21-1', 'server-type': 'This system is currently not registered.'}
2017-04-04 21:48:10,990 [DEBUG] subscription-manager-gui:18923:MainThread @identity.py:132 - Loading consumer info from identity certificates.
2017-04-04 21:48:10,990 [DEBUG] subscription-manager-gui:18923:MainThread @identity.py:147 - Reload of consumer identity cert /etc/pki/consumer/cert.pem raised an exception with msg: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'
2017-04-04 21:48:35,974 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:243 - ContentConnection
2017-04-04 21:48:35,975 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:243 - ContentConnection
2017-04-04 21:48:35,975 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:243 - ContentConnection
2017-04-04 21:48:35,979 [INFO] subscription-manager-gui:18923:ValidateServerThread @connection.py:763 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=none
2017-04-04 21:48:35,980 [DEBUG] subscription-manager-gui:18923:ValidateServerThread @connection.py:429 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
2017-04-04 21:48:35,980 [DEBUG] subscription-manager-gui:18923:ValidateServerThread @connection.py:473 - Making request: GET /subscription/status/
2017-04-04 21:48:38,382 [INFO] subscription-manager-gui:18923:ValidateServerThread @connection.py:509 - Response: status=200, requestUuid=eb58c45e-6cb9-40fc-b680-d80f07b3e7f6, request="GET /subscription/status/"
2017-04-04 21:48:50,827 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:243 - ContentConnection
2017-04-04 21:48:50,828 [DEBUG] subscription-manager-gui:18923:MainThread @connection.py:243 - ContentConnection
2017-04-04 21:48:50,835 [INFO] subscription-manager-gui:18923:GetOwnerListThread @connection.py:763 - Connection built: host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=basic username=stage_test_rhel74
2017-04-04 21:48:50,838 [DEBUG] subscription-manager-gui:18923:GetOwnerListThread @connection.py:429 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
2017-04-04 21:48:50,839 [DEBUG] subscription-manager-gui:18923:GetOwnerListThread @connection.py:473 - Making request: GET /subscription/users/stage_test_rhel74/owners
2017-04-04 21:48:53,101 [INFO] subscription-manager-gui:18923:GetOwnerListThread @connection.py:509 - Response: status=200, requestUuid=e21c2eac-dc78-44a0-bbc5-14920ea19e74, request="GET /subscription/users/stage_test_rhel74/owners"
2017-04-04 21:48:53,104 [DEBUG] subscription-manager-gui:18923:GetEnvironmentListThread @connection.py:429 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
2017-04-04 21:48:53,105 [DEBUG] subscription-manager-gui:18923:GetEnvironmentListThread @connection.py:473 - Making request: GET /subscription/
2017-04-04 21:48:54,301 [INFO] subscription-manager-gui:18923:GetEnvironmentListThread @connection.py:509 - Response: status=200, request="GET /subscription/"
2017-04-04 21:48:54,301 [DEBUG] subscription-manager-gui:18923:GetEnvironmentListThread @connection.py:780 - Server supports the following resources: {u'': u'/', u'guestids': u'/consumers/{consumer_uuid}/guestids', u'cdn': u'/cdn', u'content_overrides': u'/consumers/{consumer_uuid}/content_overrides', u'hypervisors': u'/hypervisors', u'serials': u'/serials', u'deleted_consumers': u'/deleted_consumers', u'consumers': u'/consumers', u'migrations': u'/migrations', u'content': u'/content', u'entitlements': u'/entitlements', u'events': u'/events', u'status': u'/status', u'jobs': u'/jobs', u'users': u'/users', u'subscriptions': u'/subscriptions', u'rules': u'/rules', u'distributor_versions': u'/distributor_versions', u'consumertypes': u'/consumertypes', u'statistics/generate': u'/statistics/generate', u'pools': u'/pools', u'atom': u'/atom', u'packages': u'/consumers/{consumer_uuid}/packages', u'owners': u'/owners', u'roles': u'/roles', u'admin': u'/admin', u'products': u'/products', u'activation_keys': u'/activation_keys', u'crl': u'/crl'}
2017-04-04 21:48:54,303 [DEBUG] subscription-manager-gui:18923:RegisterConsumerThread @registergui.py:2028 - about to dbus GetFacts

No error message was seen in terminal

[root@dhcp35-180 ~]# subscription-manager-gui 
You have mail in /var/spool/mail/root

After setting the default_log_level to "debug" got the following dbus error

[root@dhcp35-180 ~]# subscription-manager-gui 
ERROR:dbus.proxies:Introspect error on com.redhat.RHSM1.Facts:/com/redhat/RHSM1/Facts: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.



Copying the some part of crash report here:
=========================================

[root@dhcp35-180 ~]# mail
Heirloom Mail version 12.5 7/5/10.  Type ? for help.
"/var/spool/mail/root": 4 messages 2 new 3 unread
 U  1 user@localhost.lab.e  Tue Apr  4 21:24 688/48848 "[abrt] gnome-session: gnome-session-failed killed by SIGSEGV"
    2 user@localhost.lab.e  Tue Apr  4 21:30 1435/131923 "[abrt] subscription-manager-gui: python2.7 killed by SIGSEGV"
>N  3 user@localhost.lab.e  Tue Apr  4 21:32 2062/162086 "[abrt] subscription-manager-gui: python2.7 killed by SIGSEGV"
 N  4 user@localhost.lab.e  Tue Apr  4 21:33 1434/131912 "[abrt] subscription-manager-gui: python2.7 killed by SIGSEGV"
& 4
Message  4:
From user@localhost.lab.eng.blr.redhat.com  Tue Apr  4 21:33:29 2017
Return-Path: <user@localhost.lab.eng.blr.redhat.com>
X-Original-To: root@localhost
Delivered-To: root@localhost.lab.eng.blr.redhat.com
Date: Tue, 04 Apr 2017 21:33:29 +0530
From: user@localhost.lab.eng.blr.redhat.com
To: root@localhost.lab.eng.blr.redhat.com
Subject: [abrt] subscription-manager-gui: python2.7 killed by SIGSEGV
User-Agent: Heirloom mailx 12.5 7/5/10
Content-Type: text/plain; charset=us-ascii
Status: R

reason:         python2.7 killed by SIGSEGV
cmdline:        /usr/bin/python /usr/sbin/subscription-manager-gui
executable:     /usr/bin/python2.7
package:        subscription-manager-gui-1.19.4-1.el7
component:      subscription-manager
pid:            15808
pwd:            /root
hostname:       dhcp35-180.lab.eng.blr.redhat.com
count:          2
abrt_version:   2.1.11
analyzer:       CCpp
architecture:   x86_64
event_log:      
global_pid:     15808
kernel:         3.10.0-632.el7.x86_64
last_occurrence: 1491321806
os_release:     Red Hat Enterprise Linux Server release 7.4 Beta (Maipo)
pkg_arch:       x86_64
pkg_epoch:      0
pkg_fingerprint: 199E 2F91 FD43 1D51
pkg_name:       subscription-manager-gui
pkg_release:    1.el7
pkg_vendor:     Red Hat, Inc.
pkg_version:    1.19.4
runlevel:       N 5
time:           Tue 04 Apr 2017 09:28:21 PM IST
type:           CCpp
uid:            0
username:       root
uuid:           6e855d50c725d9fb90228d6e787d33139336cc09

core_backtrace:
:{   "signal": 11
:,   "executable": "/usr/bin/python2.7"
:,   "stacktrace":
:      [ {   "crash_thread": true
:        ,   "frames":
:              [ {   "address": 139883070247008
:                ,   "build_id": "e35eca5edb470033f0b2f2517ac8cb6b13e7871d"
:                ,   "build_id_offset": 155744
:                ,   "file_name": "/usr/lib64/libdbus-1.so.3.7.4"
:                }
:              , {   "address": 139883070241725
:                ,   "build_id": "e35eca5edb470033f0b2f2517ac8cb6b13e7871d"
:                ,   "build_id_offset": 150461
:                ,   "function_name": "free_watches"
:                ,   "file_name": "/usr/lib64/libdbus-1.so.3.7.4"
:                }
:              , {   "address": 139883070241833
:                ,   "build_id": "e35eca5edb470033f0b2f2517ac8cb6b13e7871d"
:                ,   "build_id_offset": 150569
:                ,   "function_name": "socket_disconnect"
:                ,   "file_name": "/usr/lib64/libdbus-1.so.3.7.4"
:                }
:              , {   "address": 139883070238871
:                ,   "build_id": "e35eca5edb470033f0b2f2517ac8cb6b13e7871d"
:                ,   "build_id_offset": 147607
:                ,   "function_name": "_dbus_transport_disconnect"
:                ,   "file_name": "/usr/lib64/libdbus-1.so.3.7.4"
:                }
:              , {   "address": 139883070240901
:                ,   "build_id": "e35eca5edb470033f0b2f2517ac8cb6b13e7871d"
:                ,   "build_id_offset": 149637
:                ,   "function_name": "_dbus_transport_queue_messages"
:                ,   "file_name": "/usr/lib64/libdbus-1.so.3.7.4"
:                }
:              , {   "address": 139883070142649
:                ,   "build_id": "e35eca5edb470033f0b2f2517ac8cb6b13e7871d"
:                ,   "build_id_offset": 51385
:                ,   "function_name": "_dbus_connection_get_dispatch_status_unlocked"
:                ,   "file_name": "/usr/lib64/libdbus-1.so.3.7.4"
:                }
:              , {   "address": 139883070145254
:                ,   "build_id": "e35eca5edb470033f0b2f2517ac8cb6b13e7871d"
:                ,   "build_id_offset": 53990
:                ,   "function_name": "dbus_connection_get_dispatch_status"
:                ,   "file_name": "/usr/lib64/libdbus-1.so.3.7.4"
:                }
:              , {   "address": 139883044031843
:                ,   "build_id": "3f3a9b2a16dcb99d3a0693dae3b4eb1d80eda6e7"
:                ,   "build_id_offset": 44387
:                ,   "function_name": "message_queue_prepare"
:                ,   "file_name": "/usr/lib64/libdbus-glib-1.so.2.2.2"
:                }
:              , {   "address": 139883038645613
:                ,   "build_id": "2eb4ba615a0d703646a9803f584af54a46854d63"
:                ,   "build_id_offset": 302445
:                ,   "function_name": "g_main_context_prepare"
:                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.5000.3"
:                }
:              , {   "address": 139883038647992
:                ,   "build_id": "2eb4ba615a0d703646a9803f584af54a46854d63"
:                ,   "build_id_offset": 304824
:                ,   "function_name": "g_main_context_iterate.isra.21"
:                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.5000.3"
:                }
:              , {   "address": 139883038649066
:                ,   "build_id": "2eb4ba615a0d703646a9803f584af54a46854d63"
:                ,   "build_id_offset": 305898
:                ,   "function_name": "g_main_loop_run"
:                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.5000.3"
:                }
:              , {   "address": 139882864657589
:                ,   "build_id": "126a891d11e9c68d4d81f047e4b99e41b22f799b"
:                ,   "build_id_offset": 2303157
:                ,   "function_name": "gtk_main"
:                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.10"
:                }
:              , {   "address": 139883029986764
:                ,   "build_id": "810f4e4d9491532f9828adba75103b705c05c414"
:                ,   "build_id_offset": 24012
:                ,   "function_name": "ffi_call_unix64"
:                ,   "file_name": "/usr/lib64/libffi.so.6.0.1"
:                }
:              , {   "address": 139883029985013
:                ,   "build_id": "810f4e4d9491532f9828adba75103b705c05c414"
:                ,   "build_id_offset": 22261
:                ,   "function_name": "ffi_call"
:                ,   "file_name": "/usr/lib64/libffi.so.6.0.1"
:                }
:              , {   "address": 139883004967516
:                ,   "build_id": "b6c288ea78dc1014818e8cd230197d5c1c06a880"
:                ,   "build_id_offset": 182876
:                ,   "function_name": "pygi_invoke_c_callable"
:                ,   "file_name": "/usr/lib64/python2.7/site-packages/gi/_gi.so"
:                }
:              , {   "address": 139883004974120
:                ,   "build_id": "b6c288ea78dc1014818e8cd230197d5c1c06a880"
:                ,   "build_id_offset": 189480
:                ,   "function_name": "pygi_function_cache_invoke"
:                ,   "file_name": "/usr/lib64/python2.7/site-packages/gi/_gi.so"
:                }
:              , {   "address": 139883194661283
:                ,   "build_id": "8daff0d8715e3869b6ba521067f1f7af72192a80"
:                ,   "build_id_offset": 309667
:                ,   "function_name": "PyObject_Call"
:                ,   "file_name": "/usr/lib64/libpython2.7.so.1.0"
:                }
:              , {   "address": 139883195269366
:                ,   "build_id": "8daff0d8715e3869b6ba521067f1f7af72192a80"
:                ,   "build_id_offset": 917750
:                ,   "function_name": "PyEval_EvalFrameEx"
:                ,   "file_name": "/usr/lib64/libpython2.7.so.1.0"
:                }
:              , {   "address": 139883195297533
:                ,   "build_id": "8daff0d8715e3869b6ba521067f1f7af72192a80"
:                ,   "build_id_offset": 945917
:                ,   "function_name": "PyEval_EvalCodeEx"
:                ,   "file_name": "/usr/lib64/libpython2.7.so.1.0"
:                }
:              , {   "address": 139883195297794
:                ,   "build_id": "8daff0d8715e3869b6ba521067f1f7af72192a80"
:                ,   "build_id_offset": 946178
:                ,   "function_name": "PyEval_EvalCode"
:                ,   "file_name": "/usr/lib64/libpython2.7.so.1.0"
:                }
:              , {   "address": 139883195401279
:                ,   "build_id": "8daff0d8715e3869b6ba521067f1f7af72192a80"
:                ,   "build_id_offset": 1049663
:                ,   "function_name": "run_mod"
:                ,   "file_name": "/usr/lib64/libpython2.7.so.1.0"
:                }
:              , {   "address": 139883195405822
:                ,   "build_id": "8daff0d8715e3869b6ba521067f1f7af72192a80"
:                ,   "build_id_offset": 1054206
:                ,   "function_name": "PyRun_FileExFlags"
:                ,   "file_name": "/usr/lib64/libpython2.7.so.1.0"
:                }
:              , {   "address": 139883195410569
:                ,   "build_id": "8daff0d8715e3869b6ba521067f1f7af72192a80"
:                ,   "build_id_offset": 1058953
:                ,   "function_name": "PyRun_SimpleFileExFlags"
:                ,   "file_name": "/usr/lib64/libpython2.7.so.1.0"
:                }
:              , {   "address": 139883195480639
:                ,   "build_id": "8daff0d8715e3869b6ba521067f1f7af72192a80"
:                ,   "build_id_offset": 1129023
:                ,   "function_name": "Py_Main"
:                ,   "file_name": "/usr/lib64/libpython2.7.so.1.0"
:                } ]
:        } ]
:}
cgroup:
:11:memory:/
:10:devices:/
:9:blkio:/
:8:cpuacct,cpu:/
:7:hugetlb:/
:6:freezer:/
:5:perf_event:/
:4:pids:/
:3:cpuset:/
:2:net_prio,net_cls:/
:1:name=systemd:/user.slice/user-0.slice/session-2.scope
dso_list:
:/usr/lib64/libharfbuzz.so.0.10302.0 harfbuzz-1.3.2-1.el7.x86_64 (Red Hat, Inc.) 1491308842
:/usr/lib64/libgio-2.0.so.0.5000.3 glib2-2.50.3-2.el7.x86_64 (Red Hat, Inc.) 1491308211
:/usr/lib64/libattr.so.1.1.0 libattr-2.4.46-12.el7.x86_64 (Red Hat, Inc.) 1491306509
:/usr/lib64/libcrypt-2.17.so glibc-2.17-189.el7.x86_64 (Red Hat, Inc.) 1491306339
:/usr/lib64/libpopt.so.0.0.0 popt-1.13-16.el7.x86_64 (Red Hat, Inc.) 1491306433
:/usr/lib64/libblkid.so.1.1.0 libblkid-2.23.2-36.el7.x86_64 (Red Hat, Inc.) 1491307962
:/usr/lib64/libogg.so.0.8.0 libogg-2:1.3.0-7.el7.x86_64 (Red Hat, Inc.) 1491306482
:/usr/lib64/libidn.so.11.6.11 libidn-1.28-4.el7.x86_64 (Red Hat, Inc.) 1491306622
:/usr/lib64/python2.7/site-packages/gpgme/_gpgme.so pygpgme-0.3-9.el7.x86_64 (Red Hat, Inc.) 1491310307
:/usr/lib64/libxml2.so.2.9.1 libxml2-2.9.1-6.el7_2.3.x86_64 (Red Hat, Inc.) 1491306430
:/usr/lib64/python2.7/lib-dynload/math.so python-libs-2.7.5-55.el7.x86_64 (Red Hat, Inc.) 1491307832
:/usr/lib64/python2.7/lib-dynload/_heapq.so python-libs-2.7.5-55.el7.x86_64 (Red Hat, Inc.) 1491307832
:/usr/lib64/girepository-1.0/GLib-2.0.typelib gobject-introspection-1.50.0-1.el7.x86_64 (Red Hat, Inc.) 1491308445
:/usr/lib64/libresolv-2.17.so glibc-2.17-189.el7.x86_64 (Red Hat, Inc.) 1491306339
:/usr/lib64/girepository-1.0/cairo-1.0.typelib gobject-introspection-1.50.0-1.el7.x86_64 (Red Hat, Inc.) 1491308445
:/usr/lib64/libutil-2.17.so glibc-2.17-189.el7.x86_64 (Red Hat, Inc.) 1491306339
:/usr/lib64/girepository-1.0/GdkPixbuf-2.0.typelib gdk-pixbuf2-2.36.5-1.el7.x86_64 (Red Hat, Inc.) 1491310236
:/usr/lib64/python2.7/lib-dynload/timemodule.so python-libs-2.7.5-55.el7.x86_64 (Red Hat, Inc.) 1491307832
:/usr/lib64/python2.7/lib-dynload/_collectionsmodule.so python-libs-2.7.5-55.el7.x86_64 (Red Hat, Inc.) 1491307832
:/usr/lib64/libz.so.1.2.7 zlib-1.2.7-17.el7.x86_64 (Red Hat, Inc.) 1491306393
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-7.el7.noarch (Red Hat, Inc.) 1491309340
:/usr/lib64/libxcb-xfixes.so.0.0.0 libxcb-1.12-1.el7.x86_64 (Red Hat, Inc.) 1491306564
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.40.16-1.el7.x86_64 (Red Hat, Inc.) 1491310576
:/usr/lib64/python2.7/lib-dynload/unicodedata.so python-libs-2.7.5-55.el7.x86_64 (Red Hat, Inc.) 1491307832
:/usr/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-13.el7.x86_64 (Red Hat, Inc.) 1491306422
:/usr/lib64/libmagic.so.1.0.0 file-libs-5.11-33.el7.x86_64 (Red Hat, Inc.) 1491306660
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.23.2-36.el7.x86_64 (Red Hat, Inc.) 1491306405
:/usr/lib64/python2.7/lib-dynload/_struct.so python-libs-2.7.5-55.el7.x86_64 (Red Hat, Inc.) 1491307832
:/usr/bin/python2.7 python-2.7.5-55.el7.x86_64 (Red Hat, Inc.) 1491307840
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-6.el7.noarch (Red Hat, Inc.) 1491307546
:/usr/lib64/libfontconfig.so.1.7.0 fontconfig-2.10.95-11.el7.x86_64 (Red Hat, Inc.) 1491307798
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.3-3.el7.x86_64 (Red Hat, Inc.) 1491306570
:/usr/lib64/libgtk-3.so.0.2200.10 gtk3-3.22.10-1.el7.x86_64 (Red Hat, Inc.) 1491312543
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.74-1.el7.x86_64 (Red Hat, Inc.) 1491310520
:/usr/lib64/libxcb-glx.so.0.0.0 libxcb-1.12-1.el7.x86_64 (Red Hat, Inc.) 1491306564
:/usr/lib64/libnl.so.1.1.4 libnl-1.1.4-3.el7.x86_64 (Red Hat, Inc.) 1491307066
:/usr/lib64/libcom_err.so.2.1 libcom_err-1.42.9-10.el7.x86_64 (Red Hat, Inc.) 1491306402
:/usr/lib64/libatspi.so.0.0.1 at-spi2-core-2.22.0-1.el7.x86_64 (Red Hat, Inc.) 1491310636
:/usr/lib64/python2.7/lib-dynload/grpmodule.so python-libs-2.7.5-55.el7.x86_64 (Red Hat, Inc.) 1491307832
:/usr/lib64/python2.7/site-packages/lzma.so pyliblzma-0.5.3-11.el7.x86_64 (Red Hat, Inc.) 1491309730
:/usr/lib64/girepository-1.0/Gtk-3.0.typelib gtk3-3.22.10-1.el7.x86_64 (Red Hat, Inc.) 1491312543
:/usr/lib64/python2.7/site-packages/OpenSSL/SSL.so pyOpenSSL-0.13.1-3.el7.x86_64 (Red Hat, Inc.) 1491309734
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.12.0-1.el7.noarch (Red Hat, Inc.) 1491309403


reproduced on local deployment of RHEL-7.4-20170330.1 Server with the following version.

subscription management server: 0.9.51.21-1
subscription management rules: 5.15.1
subscription-manager: 1.19.4-1.el7
python-rhsm: 1.19.2-1.el7

Comment 5 yuefliu 2017-04-06 06:14:00 UTC
the bug also exists when click "Update" button under "GUI" -> "All Available Subscriptions", gui will close by auto with "Segmentation fault (core dumped)" error info.

subscription-manager-1.19.4-1.el7.x86_64

Comment 6 Kevin Howell 2017-04-10 15:37:32 UTC
Note: I expect that this is the python-rhsm ImportError as described in bug 1438415.

Comment 7 Kevin Howell 2017-04-17 17:45:57 UTC

*** This bug has been marked as a duplicate of bug 1438561 ***


Note You need to log in before you can comment on or make changes to this bug.